
Foreman - Bug #16104

Hardware models should use Parameterizable::ByIdName 

08/14/2016 09:47 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1265150 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3731

  

Description

This is inline with various other models, to ensure any url-unsafe characters are properly escaped for the web ui.

Associated revisions

Revision a763e976 - 08/17/2016 12:12 PM - Tomer Brisker

Fixes #16104 - Use parameterizable for HW models

Correctly escape HW model names that may contain url-unsafe characters.

Also removed unnecessary truncation of the model name.

Resource finder now works correctly for models that may contain either a

friendly name or a parameterized id-name.

History

#1 - 08/14/2016 09:48 AM - Tomer Brisker

- Bugzilla link set to 1265150

#2 - 08/14/2016 09:53 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3731 added

#3 - 08/14/2016 09:58 AM - Tomer Brisker

- Target version set to 1.6.2

#4 - 08/17/2016 01:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a763e9764dfc1536936736abd6ea41d15155bdde.

#5 - 08/18/2016 05:14 AM - Dominic Cleal

- translation missing: en.field_release set to 160
